Page MenuHomePhabricator

core - shell script without shebang line triggers debian lintian warnings
Closed, ResolvedPublic

Description

0) Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each executable file has a shebang line (a line beginning with #! that serves as an interpreter directive).
See https://en.wikipedia.org/wiki/Shebang_(Unix).

When lintian sees a file with 755 permissions without a shebang line, lintian will throw a warning like:

W: wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/maintenance/dev/includes/require-php.sh

  1. Files which need a shebang line:

maintenance/dev/includes/require-php.sh
maintenance/dev/includes/php.sh

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:

Event Timeline

wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 11:38 PM
wpmirrordev set Security to None.Jun 25 2015, 6:47 AM
wpmirrordev renamed this task from shell script without shebang line triggers debian lintian warnings to core - shell script without shebang line triggers debian lintian warnings.Jun 27 2015, 1:09 AM

Change 222910 had a related patch set uploaded (by MidPhoto):
added shebang to .sh files for lintian

https://gerrit.wikimedia.org/r/222910

According to the comments in https://gerrit.wikimedia.org/r/222910, reverting https://gerrit.wikimedia.org/r/#/c/170120/ seems like the better way to go? CC'ing the author of that change to get some input.

It should be okay to revert my changeset.

It should be okay to revert my changeset.

Did somebody do that? What is the status of this task? :-/

It should be okay to revert my changeset.

Did somebody do that? What is the status of this task? :-/

My change has been reverted in https://gerrit.wikimedia.org/r/#/c/228834/.

Southparkfan closed this task as Resolved.Sep 8 2015, 3:08 PM
Southparkfan claimed this task.

https://gerrit.wikimedia.org/r/#/c/228834/ was merged a month ago, so I close this bug.

Change 222910 abandoned by Legoktm:
added shebang to .sh files for lintian

Reason:
No longer needed

https://gerrit.wikimedia.org/r/222910